#!/bin/bash

echo "Currently set up to build against the provided"
echo "copy of LZO. Looks for the LZO includes in lzo-2.08"
echo "under the current directory, and tweaks the retropak executable to"
echo "expect the LZO dylib to reside in the execution directory instead"
echo "of a system directory."
echo ""
echo "Hence some trivial changes will be needed to this script if you"
echo "have a system LZO and wish to build against that instead."

LZO=./lzo-2.08

if [ -e retropak ] ; then
  if ! rm retropak ; then
    exit 1
  fi
fi

if ! gcc -O3 -Wall "-I${LZO}/include" -L. -lz -llzo2.2 -o retropak retropak.c ; then
  exit 2 ; fi
  
if ! strip retropak ; then
  exit 3 ; fi
  
install_name_tool -change /usr/local/lib/liblzo2.2.dylib ./liblzo2.2.dylib retropak

echo Build succeeded.

